package com.ssj.service.conch.teacher.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import com.ssj.bean.weixin.zyb.domain.ZuoybStudentWorkDetails;

public class SaveZybWorkVO implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 学生ID
	 */
	private String studentId;
	/**
	 * 老师ID
	 */
	private String teacherId;
	/**
	 * 打分时间
	 */
	private Date    scoringTime;
	
	/**
	 * 课程
	 */
	private String zybCourseId;
	
	/**
	 * 图书馆ID
	 */
	private String libId;
	
	/**
	 * 1,有作业 2 没有作业
	 */
	private Integer type;
	
	/**
	 * 1未开始，2已完成，3已提交
	 */
	private Integer stat;
	
	private String vipId;
	
	private String courseName;
	
	
	/**
	 * 课程时段
	 */
	private String courseHour;	
	/**
	 * 排序
	 */
	private Integer num;
	
	private List<WorkImgVO>  imgList = new ArrayList<WorkImgVO>();
	
	private List<ZuoybStudentWorkDetails>  workDetailsList = new ArrayList<ZuoybStudentWorkDetails>();
	/**
	 * 用时情况
	 */
	private String timeCost;
	public String getStudentId() {
		return studentId;
	}
	public void setStudentId(String studentId) {
		this.studentId = studentId;
	}
	public String getTeacherId() {
		return teacherId;
	}
	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}
	public Date getScoringTime() {
		return scoringTime;
	}
	public void setScoringTime(Date scoringTime) {
		this.scoringTime = scoringTime;
	}
	public String getZybCourseId() {
		return zybCourseId;
	}
	public void setZybCourseId(String zybCourseId) {
		this.zybCourseId = zybCourseId;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getCourseHour() {
		return courseHour;
	}
	public void setCourseHour(String courseHour) {
		this.courseHour = courseHour;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	public List<WorkImgVO> getImgList() {
		return imgList;
	}
	public void setImgList(List<WorkImgVO> imgList) {
		this.imgList = imgList;
	}
	public List<ZuoybStudentWorkDetails> getWorkDetailsList() {
		return workDetailsList;
	}
	public void setWorkDetailsList(List<ZuoybStudentWorkDetails> workDetailsList) {
		this.workDetailsList = workDetailsList;
	}
	public String getTimeCost() {
		return timeCost;
	}
	public void setTimeCost(String timeCost) {
		this.timeCost = timeCost;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	
	
	
}
